Summary: Appletalk and Appleshare/IP services for Linux
Name: netatalk
Version: 1.6.4
Release: 6tr
License: BSD
Group: Trustix Official
Source0: http://prdownloads.sourceforge.net/netatalk/%{name}-%{version}.tar.bz2
Source1: netatalk.init
Patch0: netatalk-1.6.4-tempfile.patch
URL: http://netatalk.sourceforge.net/
Requires: cracklib, openssl, tcp_wrappers, pam, tsl-utils
BuildRequires: openssl-devel pam-devel 
Prefix:    %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

%package devel
Group: Trustix Official
Summary: Appletalk and Appleshare/IP services for Linux development files
Requires: glibc-devel

%description devel
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

This package is required for developing appletalk-based applications.

%prep
%setup -q 
%patch0 -p1

%build
#./autogen.sh
CFLAGS="$(echo $RPM_OPT_FLAGS | sed "s|-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -D_LARGEFILE64_SOURCE=1||") -fomit-frame-pointer -fsigned-char" ./configure \
	--prefix=%{prefix} \
	--with-cracklib \
	--with-pam \
	--sysconfdir=/etc/atalk \
	--with-tcp-wrappers \
	--mandir=%{_mandir} \
	--with-uams-path=/etc/atalk/uams \
	--with-nls-path=/etc/atalk/nls \
	--with-ssl
make CONFIG_DIR=/etc/atalk

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
### INSTALL (USING "make install") ###
mkdir -p $RPM_BUILD_ROOT/{usr,etc/atalk/uams}
make DESTDIR=$RPM_BUILD_ROOT CONFIG_DIR=/etc/atalk install

# install /etc/init.d/atalk
mkdir -p $RPM_BUILD_ROOT%{_initdir}
install -m 755 -o 0 -g 0  %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/atalk

# make NLS
( \
  mkdir -p $RPM_BUILD_ROOT/etc/atalk/nls/; \
  cd $RPM_BUILD_ROOT/etc/atalk/nls;        \
  $RPM_BUILD_ROOT/usr/bin/makecode \
)

# install pam file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d/
install -m 644 -o 0 -g 0  config/netatalk.pamd \
  $RPM_BUILD_ROOT/etc/pam.d/netatalk

# We don't have /usr/bin/rc
rm $RPM_BUILD_ROOT/usr/bin/acleandir.rc

%pre
service atalk stop 2> /dev/null > /dev/null || :

%post
/sbin/chkconfig --add atalk
/sbin/ldconfig
/sbin/restart_maybe atalk

%preun
if [ $1 = 0 ]; then
	service atalk stop 2> /dev/null > /dev/null || :
	/sbin/chkconfig --del atalk
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc CONTRIBUTORS doc/DEVELOPER doc/README.hidden-items COPYING
%doc NEWS doc/FAQ doc/README.platforms COPYRIGHT README	doc/INSTALL
%doc doc/README.veto ChangeLog TODO VERSION doc/CONFIGURE
%dir /etc/atalk
%dir /etc/atalk/netatalk
%dir /etc/atalk/nls
%dir /etc/atalk/uams
%config /etc/atalk/netatalk/Apple*
%config /etc/atalk/netatalk/*.conf
%config /etc/pam.d/netatalk
/etc/atalk/nls/*
/etc/atalk/uams/*.so
%{_initdir}/atalk
%{prefix}/bin/*
%{prefix}/sbin/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root,0755)
%{prefix}/lib/*
%dir %{prefix}/include/atalk
%{prefix}/include/atalk/*.h
%{prefix}/include/netatalk/aarp.h
%{prefix}/include/netatalk/at_var.h
%{prefix}/include/netatalk/ddp*.h
%{prefix}/include/netatalk/endian.h
%{prefix}/include/netatalk/phase2.h
%{prefix}/share/aclocal/netatalk.m4

%changelog
* Fri Jun 17 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.6.4.-6tr
- Added pam-devel in Buildrequires,Bug# 934.

* Tue Nov  9 2004 Oystein Viggen <oysteivi at trustix dot com>  1.6.4-5tr
- Rebuild with shared openssl

* Thu Nov  4 2004 Oystein Viggen <oysteivi at trustix dot com> 1.6.4-4tr
- Tempfile patch

* Wed Jan 14 2004 Chr. Toldnes <christht at trustix dot org> 1.6.4-1tr
- New upstream.
- Built with no LFS.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 1.6.3-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.1-3tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.0-5em
- PreReq in devel -> Requires

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.0-4em
- Rebuilt against glibc 2.3.2.

* Tue Feb 25 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.0-3em
- Fix init script.

* Mon Jan 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.0-2em
- Fix file conflict with glibc-devel.

* Thu Jan 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.6.0-1em
- New version.
- Cleanup.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 1.5.3.1-3ct
- Initscript now uses $INITLOCK

* Fri Oct  4 2002 Gerald Dachs <gda at trustix dot org> 1.5.3.1-2gd
- removed /usr/bin/acleandir.rc, because we have no rc

* Mon Aug 26 2002 Gerald Dachs <gda at trustix dot org> 1.5.3.1-1gd
- New upstream version: 1.5.3.1
- fixed start script location

* Wed Sep 26 2001 Erlend Midttun <erlendbm at trustix dot com>
- Moving the shared object files.

* Thu Aug 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version

* Wed Jun 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Fix build problems with newer strip

* Tue Mar 13 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 1.5pre5

* Thu Jan 09 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Removed dependency on pam-devel and cracklib-devel, as these are
  included in the main packages in TSL.
- Fixed initscript to comply with TSL standards.
- Removed additions to /etc/services as the TSL /etc/services already
  has the necessary entries.
- Added conditional restart with /sbin/restart_maybe.

* Wed Nov 08 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20001108mdk
  - pre-release for sourceforge

* Wed Sep 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20000927mdk
  - pre-release for sourceforge
